c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:   EXTRACT                    c
c          VERSION 1.0                                               c
c          11/21/95  CAE                                             c
c--------------------------------------------------------------------c
      BLOCK DATA
c
c    ALL GLOBAL CONSTANTS FOR EXTRACT SOFTWARE
c
      include 'xtract.inc'
      include 'xtract2.inc'
      include 'xtrvis.inc'
 
      data cvt/1.,1.e3,1.,1.e-3,1.e-5,1.e3,1.,1.e3,1.e6,1.e9,1./
      data icnc1,icnc2,istnd,idfb,irtp,ibnd,iwr,icnc1f,iirg,iupobs,
     &                isfobs,icnc2f,ipr,itp,iqa,ird/
     &     10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25/
      data iseg/1/
      data nvspc /11/, nvis /6/
      data msvis/'B','E','X','T',' ',' ',' ',' ',' ',' ',
     &           'V','R',' ',' ',' ',' ',' ',' ',' ',' ',
     &           'D','V',' ',' ',' ',' ',' ',' ',' ',' ',
     &           'B','E','X','T','I',' ',' ',' ',' ',' ',
     &           'V','R','I',' ',' ',' ',' ',' ',' ',' ',
     &           'D','V','I',' ',' ',' ',' ',' ',' ',' '/
      data name /'NO2       ',
     &           'PNO3      ',
     &           'GSO4      ',
     &           'ASO4      ',
     &           'NH4N      ',
     &           'NH4S      ',
     &           'SOA       ',
     &           'POA       ',
     &           'PEC       ',
     &           'PMFINE    ',
     &           'PMCOARS   ',
     &           '          '/
      data nspint /39/
      data mspint/ 1HN,1HO,8*1H ,                      ! NO
     &             1HN,1HO,1H2,7*1H ,                  ! NO2
     &             1HO,1H3,8*1H ,                      ! O3
     &             1HC,1HA,1HR,1HB,6*1H ,              ! CARB
     &             1HV,1HO,1HC,7*1H ,                  ! VOC
     &             1HN,1HX,1HO,1HY,6*1H ,              ! NXOY
     &             1HP,1HA,1HN,7*1H ,                  ! PAN
     &             1HC,1HO,8*1H ,                      ! CO
     &             1HH,1HN,1HO,1H2,6*1H ,              ! HNO2
     &             1HH,1H2,1HO,1H2,6*1H ,              ! H2O2
     &             1HH,1HN,1HO,1H3,6*1H ,              ! HNO3
     &             1HN,1HT,1HR,7*1H ,                  ! NTR
     &             1HS,1HO,1H2,7*1H ,                  ! SO2
     &             1HS,1HU,1HL,1HF,6*1H ,              ! SULF
     &             1HI,1HS,1HO,1HP,6*1H ,              ! ISOP
     &             1HN,1HH,1H3,7*1H ,                  ! NH3
     &             1HN,1HA,1HP,1HH,6*1H ,              ! NAPH
     &             1HP,1HO,1HM,1H1,6*1H ,              ! POM1
     &             1HP,1HO,1HM,1H2,6*1H ,              ! POM2
     &             1HH,1HG,1H0,7*1H ,                  ! HG0 
     &             1HH,1HG,1H2,1HG,6*1H ,              ! HG2G
     &             1HD,1HI,1HO,1HX,1HI,1HN,4*1H ,      ! DIOXIN
     &             1HA,1HT,1HR,1HA,1HZ,5*1H ,          ! ATRAZ
     &             1HP,1HN,1HO,1H3,6*1H ,              ! PNO3
     &             1HG,1HS,1HO,1H4,6*1H ,              ! GSO4
     &             1HA,1HS,1HO,1H4,6*1H ,              ! ASO4
     &             1HN,1HH,1H4,1HN,6*1H ,              ! NH4N
     &             1HN,1HH,1H4,1HS,6*1H ,              ! NH4S
     &             1HS,1HO,1HA,7*1H ,                  ! SOA
     &             1HP,1HO,1HA,7*1H ,                  ! POA
     &             1HP,1HE,1HC,7*1H ,                  ! PEC
     &             1HP,1HM,1HF,1HI,1HN,1HE,4*1H ,      ! PMFINE
     &             1HP,1HM,1HC,1HO,1HA,1HR,1HS,3*1H ,  ! PMCOARS
     &             1HH,1HG,1H2,1HP,6*1H ,              ! HG2P
     &             1HC,1HD,8*1H ,                      ! CD
     &             1HP,1HO,1HM,1H1,1HP,5*1H ,          ! POM1P
     &             1HP,1HO,1HM,1H2,1HP,5*1H ,          ! POM2P
     &             1HD,1HI,1HO,1HX,1HP,5*1H ,          ! DIOXP
     &             1HA,1HT,1HR,1HA,1HZ,1HP,4*1H        ! ATRAZP
     &             /
c
c
      data molwt/ 30., 46., 48., 30., 16., 46.,121., 28.,
     &            47., 34., 63., 77., 64., 98., 80., 17.,
     &           128.,178.,252.,201.,201.,322.,216., 
     &            62., 96., 96., 18., 18.,  1.,  1.,  1.,
     &             1.,  1.,201.,  1., 178., 252., 322., 216./ 
c
      end
