      subroutine cnfppm(ifine,nxf,nyf,iz,ll,cncr)
C
C  FACTOR TO CONVERT MICROMOLES/M3 TO PPM
C  1293 IS DENSITY OF AIR IN GM/M3 AT STP
C  28.8 IS AVERAGE MOLECULAR WEIGHT OF AIR
C
      include 'xtract.inc'
      include 'xtract2.inc'
      dimension cncr(mxx,mxy)
C
      cpfac = 28.8/1293.
c
      do 50 j=1,nyf
        jc = (j-2)/nhf1(ifine) + jyfb1(ifine)
        do 40 i=1,nxf
          ic = (i-2)/nhf1(ifine) + ixfb1(ifine)
          if ( idir .eq. 1 ) then
             cncr(i,j)=cncr(i,j)*cpfac/molwt(ll)*temp(ic,jc,iz)*1013.25
     $                                  /(press(ic,jc,iz)*273.)
	  elseif ( idir .eq. 0 ) then
             cncr(i,j)=cncr(i,j)*molwt(ll)/cpfac*press(ic,jc,iz)*273.0
     $                                  /(temp(ic,jc,iz)*1013.25)
	  else
	    write(*,*) ' Invalid conversion type ....!'
	    stop
	  endif
   40   continue
   50 continue
      return
      end
