c--------------------------------------------------------------------c
c          UPS-1 UAM POSTPROCESSING PACKAGE:   EXTRACT               c
c          VERSION 1.0                                               c
c--------------------------------------------------------------------c
      subroutine gpext
      include 'xtract.inc'
      include 'xtract2.inc'
c
c    fills prediction array with prediction bi-linearly 
c    interpolated to station locations
c
c
      do 100 l = 1,nvar
       do 200 n = 1,nstn
        i1=int(ficl(n))
        i2=i1+1
        dx1=ficl(n)-float(i1)
        dx2=1.-dx1
        j1=int(fjcl(n))
        j2=j1+1
        dy1=fjcl(n)-float(j1)
        dy2=1.-dy1
	if ( cnc1(i1,j1,l,1) .lt. 0. .or.
     &       cnc1(i2,j1,l,1) .lt. 0. .or.
     &       cnc1(i1,j2,l,1) .lt. 0. .or.
     &       cnc1(i2,j2,l,1) .lt. 0. ) then
	   tsdat(ih,n,l)=-9.
	else
           tsdat(ih,n,l)=cnc1(i1,j1,l,1)*dx2*dy2+
     &                   cnc1(i2,j1,l,1)*dx1*dy2+
     &                   cnc1(i1,j2,l,1)*dx2*dy1+
     &                   cnc1(i2,j2,l,1)*dx1*dy1
	endif
c
c...Find the minimum/maximum concentration within nine closest cells
c....of observation site for the FUZZPLOT
c
        i0 = i1
        if(dx1.ge.0.5)i0=i0+1
        j0 = j1
        if(dy1.ge.0.5)j0=j0+1
        tsmin(ih,n,l)=1.e9
        DO 251 I = i0-1,i0+1
	  if ( i .le. 0 .or. i .gt. nxi ) goto 251
         DO 250 j = j0-1,j0+1
	  if ( j .le. 0 .or. j .gt. nyi ) goto 250
          if( ifrst .and. (i.lt.ilfti(j).or.i.gt.irgti(j))) goto 250
	  if ( cnc1(i,j,l,1) .lt. 0.0 ) then
             tsmin(ih,n,l)=-9.
             tsmax(ih,n,l)=-9.
	     goto 200
          else
             tsmin(ih,n,l)=amin1(tsmin(ih,n,l),cnc1(I,J,L,1))
             tsmax(ih,n,l)=amax1(tsmax(ih,n,l),cnc1(I,J,L,1))
	  endif
250      CONTINUE
251     CONTINUE
200    continue
100   continue
       return
       end
