c--------------------------------------------------------------------c
c          UPS-1 UAM POSTPROCESSING PACKAGE:   EXTRACT               c
c          VERSION 1.0                                               c
c--------------------------------------------------------------------c
      subroutine wrtgp
      include 'xtract.inc'
      include 'xtract2.inc'
      real xmax(mxspc2)
c
c     This subroutine writes prediction/observation time series 
c     to a ASCII plotting file which is an input for gpplt.f
c     CALLED BY GPSEC format is that of SETUP output
c
       do 100 l = 1,nvar
         xmax(l)=0.
 100   continue
       write(iwr,1000)nstn
       do 200 n = 1,nstn
         do 300 l = 1,nvar
           do 350 ih = 1,24
            xmax(l)=amax1(tsdat(ih,n,l),xmax(l))
            xmax(l)=amax1(obs(ih,n,l),xmax(l))
 350      continue
           if(iunit(l).eq.1)lunit='PPM'
           if(iunit(l).eq.2)lunit='PPB'
           if(iunit(l).eq.3)lunit='G/KM2'
           if(iunit(l).eq.4)lunit='KG/KM2'
           if(iunit(l).eq.5)lunit='KG/HA'
           if(iunit(l).eq.6)lunit='MG/KM2'
           if(iunit(l).eq.7)lunit='UG/M3'
           if(iunit(l).eq.8)lunit='NG/M3'
           if(iunit(l).eq.9)lunit='PG/M3'
           if(iunit(l).eq.10)lunit='FG/M3'
           if(iunit(l).eq.11)lunit='UG/M2'
c
           write(iwr,1010)stnam(n),(mspcw(m,l),m=1,10),
     &                    idat1,lunit
           if( xmax(l) .gt. 0.1 ) then
             write(iwr,1020)(tsdat(i,n,l),i=1,24)
             write(iwr,1020)(tsmin(i,n,l),i=1,24)
             write(iwr,1020)(tsmax(i,n,l),i=1,24)
             write(iwr,1020)(obs(i,n,l),i=1,24)
           else
             write(iwr,1025)(tsdat(i,n,l),i=1,24)
             write(iwr,1025)(tsmin(i,n,l),i=1,24)
             write(iwr,1025)(tsmax(i,n,l),i=1,24)
             write(iwr,1025)(obs(i,n,l),i=1,24)
           endif
 300   continue
 200   continue
        do 400 l = 1,nvar
          write(*,1030)(mspcw(m,l),m=1,10),xmax(l)
 400    continue
        close(iwr)
1000   format(2i5,5x,a20)
1010   format(a20,6x,10a1,i6,4x,a8)
1020   format(7f10.2)
1025   format(7(1pe10.2))
1030   format(10a1,' MAXIMUM CONCENTRATION (SIMULATED OR OBSERVED) = ',
     $        f7.2)
       return
       end
