c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:   EXTRACT                    c
c          9/11/95  CAE                                              c
c--------------------------------------------------------------------c
      SUBROUTINE WRTHDR
      include 'xtract.inc'
      include 'xtract2.inc'
      character*4 hdr1(10),hdr2(10)
      data hdr1/'I','N','S','T','A','N','T',' ',' ',' '/
      data hdr2/'A','I','R','Q','U','A','L','I','T','Y'/
c----------------------------------------------------------------------c
c    modified 930816 to write airquality file header when extracting
c    instantaneous concentrations to to prevent converting the
c    concentrations twice to ppv from u-mol/m^3
c----------------------------------------------------------------------c
C
C....WRITE UAM FILE HEADER
C
      nxio=is2-is1+1
      nyio=js2-js1+1
      imtch= 1
      do 100 m = 1,7
       if (filnam(m).ne. hdr1(m)) imtch = -1
 100  continue
      if (imtch .eq. 1) then
        WRITE(IWR)HDR2,(mNOTE(i),i=1,10),(note(i),i=11,60),1,
     &           NVAR,idat1,TIM1,idat2,tim2
      ELSE
        WRITE(IWR)FILNAM,(mNOTE(i),i=1,10),(note(i),i=11,60),1,
     &           NVAR,idat1,TIM1,idat2,tim2
      ENDIF
      WRITE(IWR) XREF,YREF,IUTM,XORG,YORG,DXI,DYI,NXIO,
     $ NYIO,NLVL,Nzlowr,nzuppr,zHTSUR,zminLW,zminUP
c       write(*,*) ' WRTHDR '
c       WRITE(*,*) XREF,YREF,IUTM,XORG,YORG,DXI,DYI,NXIO,
c     $ NYIO,NLVL,Nzlowr,nzuppr,zHTSUR,zminLW,zminUP
      WRITE(IWR) ILOCX,ILOCY, NXIO,NYIO
      WRITE(IWR) ((MSPCW(I,J),I=1,10),J=1,NVAR)
      END
