c--------------------------------------------------------------------c
c          UPS-1 UAM POSTPROCESSING PACKAGE:   EXTRACT               c
c          VERSION 1.0                                               c
c--------------------------------------------------------------------c
      subroutine wrtz
      include 'xtract.inc'
      include 'xtract2.inc'
c
c....Write CONCENTRATIONS TO XZ/YZ X-SECTION FILE
c
         IF(LMAX) THEN
         WRITE(IWR)TIM1,IDAT1,TIM2,IDAT2
         WRITE(*,*)'ZWRT: WRITING DATA FOR PERIOD: ',
     &              tim1,idat1,tim2,idat2
         else
         WRITE(IWR)begtim,ibdat,endtim,iedat
         WRITE(*,*)'ZWRT: WRITING DATA FOR PERIOD: ',
     &              begtim,ibdat,endtim,iedat
         endif
c
c      WRITE(IWR)ZTOP
       do n=1,nsec
	 ztop=amin1(ztop,sig(kz2(n)+1))
       enddo
       WRITE(IWR) ztop
       WRITE(*,*) ztop,nsec
       DO 300 N = 1,NSEC
       DO 300 K = KZ1(N),KZ2(N)
         WRITE(IWR)
     &    ((CELLZF(I,J,K),I=IX1(N),IX2(N)),J=JY1(N),JY2(N))
c        WRITE(*,*)
c    &    ((CELLZF(I,J,K),I=IX1(N),IX2(N)),J=JY1(N),JY2(N))
 300   CONTINUE
c
c
       DO 100 L = 1,NVAR
         DO 200 N = 1,NSEC
           rmax=-1.e9
           rmin= 1.e9
           do 210 K = KZ1(N),KZ2(N)
c
c      SET BOUNDARY CELLS TO MISSING DATA VALUE -999
c
          if ( jy1(n) .eq. jy2(n) ) then
c
            do 248 j=jy1(n),jy2(n)
	       cnc1(ix1(n),j,l,k)=-999.
	       cnc1(ix2(n),j,l,k)=-999.
 248        continue
c
          elseif ( ix1(n) .eq. ix2(n) ) then
c
            do 249 i=ix1(n),ix2(n)
               cnc1(i,jy1(n),l,k)=-999.
               cnc1(i,jy2(n),l,k)=-999.
 249        continue
c
          endif
c
            do 250 j = jy1(n),jy2(n)
            do 250 i=ix1(n),ix2(n)
c
              if( ifrst .and. (i.lt.ilfti(j).or.i.gt.irgti(j)) )
     &                                             cnc1(i,j,l,k)=-999.
              IF(cnc1(i,j,l,k).gt.-999.) then
                rmax = amax1(rmax,cnc1(i,j,l,k))
                rmin = amin1(rmin,cnc1(i,j,l,k))
              endif
 250        continue
c
         WRITE(IWR)
     &    ((cnc1(i,j,l,k),I=IX1(N),IX2(N)),J=JY1(N),JY2(N)) 
 210   continue
       WRITE(*,1000)N,(MSPCW(M,L),M=1,10),RMAX,RMIN
         if (lsum) then
           do 130 j = jy1(n),jy2(n)
             do 130 i = ix1(n),ix2(n)
               cnc1(i,j,l,k) = 0.
 130       continue
         endif
c
 200   continue
 100   CONTINUE
       return
1000   FORMAT('SECTION#: ',i2,' SPECIES: ',
     &        10A1,' MAX: ',1pe10.2,' MIN: ',1pe10.2)
       end
