c
c...this file contains maximum array dimensions and all global
c...arrays for the xtract program and all of its subroutines
c
      parameter(mxx=420,mxy=312,mxz=15,mxspc=39)
      parameter(mxhrs=46,mxstn=100)
      parameter(mxspc2=17)
      parameter(maxfin=8)
      parameter(mxfnp1=maxfin+1)
      parameter(mxsec=2)
c
      logical lmax,ldif,lave,linst,ldepn,ltot,lsum,ifrst,lireg,lconv
      logical ldifr,limprv
      character*10 lans
      character*8 lunit
      character*4 ndepn
      character*20 stnam(mxstn)
      character*4 filnam(10),mspint(10,mxspc),mnote,mspec1,mspec2,mspcw
      real molwt(mxspc)
c
      common /siminf/xorg,yorg,nx,ny,nz,nospec1,mspec1(10,mxspc),
     &       nospec2,mspec2(10,mxspc),delx,dely,filnam,
     &       note(60),mnote(60),nzlowr,nzuppr,zhtsur,zminlw,zminup, 
     &       nxi, nyi, dxi, dyi, nhmax, iutm, nzi
c
      common/uamdat/cnc1(mxx,mxy,mxspc2,mxz),cnc2(mxx,mxy,mxspc2,mxz),
     & press(mxx,mxy,mxz),temp(mxx,mxy,mxz),sfcp(mxx,mxy),sig(mxz+1),
     & ptop,pstar(mxx,mxy),ilft(mxy),irgt(mxy),ilfti(mxy),irgti(mxy),
     & ztop,cellzf(mxx,mxy,mxz),ficl(mxstn),fjcl(mxstn),nstn,
     & tsdat(mxhrs,mxstn,mxspc2),tsmax(mxhrs,mxstn,mxspc2),
     & tsmin(mxhrs,mxstn,mxspc2),obs(mxhrs,mxstn,mxspc2),stnam
c
      common /times/ tim1,tim2,idat1,idat2,begtim,ibdat,endtim,iedat,
     &              idatb,timbeg,jdate,timend
c
      common/contrl/lvar1(mxspc2),lvar2(mxspc2),level(mxz),nlvl,nvar,
     &           lgrd(mxfnp1),ngrd,nsub,lsub(mxspc2),msub(10,mxspc2),
     &           pintvl,mspcw(10,mxspc2),nhrs,ih,is1,is2,js1,js2,lconv,
     &           ldifr,ldif,lmax,lave,linst,ltot,limprv,iunit(mxspc),
     &           xfact(mxspc,2),ifrst,ldepn,ndepn,subfac(mxspc2),lsum,
     &           nxrd,nyrd,nzrd,idir,nsec,ix1(mxsec),ix2(mxsec),
     &           jy1(mxsec),jy2(mxsec),kz1(mxsec),kz2(mxsec)
c
      common /intspc/ nspint,mspint,molwt
c
      common /lireg/ lireg
      common /delete/ idelete(mxx,mxy)
c
c  common /deffin/ defines the number of fine grids and 
c  attributes of each.  the attributes are:
c
c      ixfb, ixfe - first and last x cell of coarse grid
c                   to be divided into fine grid cells
c
c      jyfb, jyfe - first and last y cell of coasre grid 
c                   to be divided into fine grid cells
c
c      nhf, nvf   - number of fine grid cells per coarse
c                   grid cell horizontally and vertically
c
c      nfx, nfy   - number of cells in x and y direction in fine
c                   grid
c
c      nfz        - number of layers in fine grid
c
c      delfx, delfy - cell size in x and y dircetions
c
c      tphioaf    - tangent(phi)/earth's radius forfin grids
c   
c      ff0, ff1   - arrays of interpolation factors
c
c      ifavg, ifinst - output unit numbers for average and inst concs
c
c      ifmdf  - fine grid input units for mdf
c
c      ifkv   - fine grid input units for kv
c
c      ifaem1,2,3 - fine grid input units for weekday, saturday,
c                   and sunday emissions
c
c      ifgptr - points to fine grid number in which this grid
c               is nested (if 0, then this grid is only within
c               the coarse grid)
c
c      ifglvl - depth at which this grid is nested (1 means within
c               coarse grid only, 2 is within one other fine grid,
c               3 is within a fine grid which is within another
c               fine grid and so forth.)
c
c      ndfcom - number of sub-steps completed on this fine grid
c
c      ndftot - total number of sub-steps needed to complete a
c               coarse grid step on this fine grid
c
c      ndfmax - maximum number of sub-steps to take on this pass
c
c      deltf  - size of the sub-step on this grid
c
      common /deffin/ numfin1, nspc1f, ixfb1(maxfin), ixfe1(maxfin), 
     $                jyfb1(maxfin), jyfe1(maxfin), 
     $                nhf1(maxfin), nvf1(maxfin),
     $                nfx1(maxfin), nfy1(maxfin),
     $                nfz1(maxfin),
     $                delfx1(maxfin), delfy1(maxfin),
     $                ifgptr1(maxfin), ifglvl1(maxfin)
c
c  same for second fine grid file
c
      common /deffn2/ numfin2, nspc2f, ixfb2(maxfin), ixfe2(maxfin), 
     $                jyfb2(maxfin), jyfe2(maxfin), 
     $                nhf2(maxfin), nvf2(maxfin),
     $                nfx2(maxfin), nfy2(maxfin),
     $                nfz2(maxfin),
     $                delfx2(maxfin), delfy2(maxfin),
     $                ifgptr2(maxfin), ifglvl2(maxfin)
c
c     ignum1 and ignum2 map which nested grid # is used in
c     each cell
c
      common /fgdef/ ignum1(mxx,mxy), ignum2(mxx,mxy)
c
