      subroutine conppm(nxc,nyc,iz,ll,cncr)
C
C  FACTOR TO CONVERT MICROMOLES/M3 TO PPM
C  1293 IS DENSITY OF AIR IN GM/M3 AT STP
C  28.8 IS AVERAGE MOLECULAR WEIGHT OF AIR
C
      include 'xtract.inc'
      include 'xtract2.inc'
      dimension cncr(mxx,mxy)
C
      CPFAC = 28.8/1293.
      write(*,*) 'll,molwt,iz,idir :',ll,molwt(ll),iz,idir
c
      do 50 j=1,nyc
        do 40 i=1,nxc
c          write(*,*) i,j,iz,press(i,j,iz),temp(i,j,iz),cncr(i,j)
          if ( idir .eq. 1 ) then
             if ( press(i,j,iz) .eq. -999. ) then
                cncr(i,j)=-999.
             else
                cncr(i,j)=cncr(i,j)*cpfac/molwt(ll)*temp(i,j,iz)*1013.25
     $                                  /(press(i,j,iz)*273.)
             endif
	  elseif ( idir .eq. 0 ) then
             if ( press(i,j,iz) .eq. -999. ) then
                cncr(i,j)=-999.
             else
                cncr(i,j)=cncr(i,j)*molwt(ll)/cpfac*press(i,j,iz)*273.0
     $                                  /(temp(i,j,iz)*1013.25)
             endif
	  else
	    write(*,*) ' Invalid conversion type ....!'
	    stop
	  endif
c          write(*,*) i,j,iz,press(i,j,iz),temp(i,j,iz),cncr(i,j)
   40   continue
   50 continue
      return
      end
