c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:   EXTRACT                    c
c          11/21/95  CAE                                             c
c--------------------------------------------------------------------c
      program extract
      include 'xtract.inc'
      include 'xtract2.inc'
c
c    This program extracts:  ATDM XY CROSS SECTIONS
c                            YZ/XZ CROSS SECTIONS (NOT CURRENTLY AVAILABLE)
c                            TIME SERIES DATA FILE (NOT CURRENTLY AVAILABLE)
c                            DISPLAY DATA FILE (NOT CURRENTLY AVAILABLE)
c    THIS IS THE DRIVER PROGRAM 
c
        character*10 lstr
c
c     SKIP FIRST LINE OF EACH INPUT SUBSET FOR COMMENTS
c
23      write(*,*) 'ENTER COMMENT LINE:'
        read(*,*)
        write(*,1010)
        read(*,1000)lstr
        ldepn = .false.
        linst = .false.
        limprv = .false.
        if(lstr.eq.' ')stop
        if(lstr(1:4).eq.'ZSEC') then
          call zsec
          goto 23
        endif
        if(lstr(1:5).eq.'XYSEC') then
          call xysec
          goto 23
        endif
        if(lstr(1:5).eq.'XYVIS') then
	  if ( lstr(6:6) .eq. 'I' ) limprv=.true.
          call xyvis
          goto 23
        endif
        if(lstr(1:7).eq.'TSERIES') then
          call tseries
          goto 23
        endif
c       if(lstr(1:7).eq.'DISPLAY') then
c         call dplyext
c         goto 23
c       endif
        write(*,*)'INVALID CHOICE--EXITING'
        stop
        
1000     format(20x,a)
1010     format('ENTER POSTPROCESSING OPTION:',/,/,
     &     '[ZSEC]    - CREATE XZ/YZ CROSS SECTION FILE',/,
     &     '[XYSEC]   - CREATE XY CROSS SECTION FILE',/,
     &     '[XYVIS]   - CREATE XY VISIBILITY FILE',/,
     &     '[TSERIES] - CREATE TIME-SERIES DATA FILE',/,
c    &     '[DISPLAY] - CREATE TEXT DISPLAY DATA FILE',/,
     &     '            ENTER  SELECTION:',/,
     &     '------------------->') 
         end
