c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:   EXTRACT                    c
c          9/11/95  CAE                                              c
c--------------------------------------------------------------------c
c
c     MODIFIED TO WRITE SUB-DOMAIN
c
      SUBROUTINE GETAVE
      include 'xtract.inc'
      include 'xtract2.inc'
      INTEGER NAME(10)
C
C....WRITE UAM FILE HEADER
C
      DO 10 K = 1,NLVL
       DO 10 L = 1,NVAR
         DO 10 I = 1,NXI
           DO 10 J = 1,NYI
c            CNC2(I,J,L,K)=-999.
             CNC1(I,J,L,K)=-999.
             CNC2(I,J,L,K)=0.
 10   CONTINUE
c
      WRITE(*,*)'COMPUTING AVERAGES'
c
      REWIND(IWR)
c
      READ(IWR)
      READ(IWR)
      READ(IWR)
      READ(IWR)
      STIM1=TIM1
      STIM2=TIM2
      if ( tim1 .ge. 100. ) tim1=tim1/100.
      if ( tim2 .ge. 100. ) tim2=tim2/100.
c     NHRS = (TIM2-TIM1 ) + 24*(IDAT2-IDAT1)
c  **** data is in three hour blocks ****
c     nhrs=nhrs/3
      nhrs=0
      write(6,*) ' TIM1, TIM1, IDAT1, IDAT2 :',tim1,tim2,idat1,idat2
      DO 100 N = 1,100
       READ(IWR,end=500) IBDAT, BEGTIM, IEDAT, ENDTIM
       nhrs=nhrs+1
       WRITE(*,*)'GETAVE READING: ',ibdat,begtim,iedat,endtim,nhrs
       DO 200 L = 1, NVAR
         DO 300 K = 1,NLVL
           READ(IWR)IDUM,NAME,((CNC1(I,J,L,K),I=IS1,IS2),J=JS1,JS2)
           DO 400 I = IS1,IS2
             DO 400 J = JS1,JS2
	       if ( cnc1(i,j,l,k) .ne. -999. ) then
                  CNC2(I,J,L,K)=CNC2(I,J,L,K)+CNC1(I,J,L,K)
	       else
		  cnc2(i,j,l,k)=cnc1(i,j,l,k)
	       endif
c	       if ( i .eq. 5 .and. j .eq. 5 ) then
c		  write(*,*) 'cnc1,cnc2 :',cnc1(i,j,l,k),cnc2(i,j,l,k)
c	       endif
 400       CONTINUE
 300      CONTINUE
 200   CONTINUE
 100  CONTINUE
c
 500  continue
      XHRS = FLOAT(NHRS)
      write(*,*) ' XHRS :',xhrs
      DO 700 L = 1,NVAR
c
c    TO PRODUCE AVERAGE RHC/NOX RATIOS MUST ALSO EXTRACT RHC,NOX
c
         LHCNOX = ID(-3,LVAR,NVAR)
        IF(LHCNOX .GT. 0 ) THEN
           LHC = ID(-1,LVAR,NVAR)
           LNOX = ID(-2,LVAR,NVAR)
        IF(LHC.GT.0 .AND. LNOX .GT. 0 ) THEN
        fac = cvt(iunit(lnox))/cvt(iunit(lhc))
c       write(*,*)'FAC,LNOX,LHC = ',fac,lnox,lhc
        DO 710 K = 1,NLVL
          DO 710 I = IS1,IS2
            DO 710 J = JS1,JS2
             IF(CNC2(I,J,LNOX,K).GT.0.)
     &      CNC1(I,J,LHCNOX,K)=FAC*CNC2(I,J,LHC,K)/CNC2(I,J,LNOX,K)
 710    CONTINUE
        GOTO 700
        ELSE
           WRITE(*,*)'*** ERROR IN GETAVE: ****',
     &     'AVERAGE RHC/NOX MUST ALSO HAVE NOX AND RHC INCLUDED'
           WRITE(*,*)'*** AVERAGING RHC/NOX ***'
           STOP
        ENDIF
        ENDIF
              
        DO 600 K = 1,NLVL
          DO 600 I = IS1,IS2
            DO 600 J = JS1,JS2
	     if ( cnc2(i,j,l,k) .ne. -999. )
     &                           CNC1(I,J,L,K) = CNC2(I,J,L,K)/XHRS
c	       if ( i .eq. 5 .and. j .eq. 5 ) then
c		  write(*,*) 'cnc1,cnc2 :',cnc1(i,j,l,k),cnc2(i,j,l,k)
c	       endif
 600     CONTINUE
 700   CONTINUE

      BEGTIM = STIM1
      ENDTIM = STIM2
      IBDAT = IDAT1
      IEDAT = IDAT2
      REWIND(IWR)
      CALL WRTHDR
      CALL WRTXY
      END
