c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:   EXTRACT                    c
c          11/1/95   CAE                                             c
c--------------------------------------------------------------------c
      SUBROUTINE GETZ(ierr)
      include 'xtract.inc'
      include 'xtract2.inc'
      real CNCR(MXX,MXY)
      real CONC(MXX,MXY)
      real tmpdep1(mxx,mxy),tmpdep2(mxx,mxy)
      integer filnm(10)
      logical lkeep
C
C... CONC   - A LOCAL 2-D BUFFER ARRAY
C    CNC1   - A GLOBAL CONCENTRATION ARRAY FOR FILE-ONE CONCENTRATIONS
C    CNC2   - "     "      "         "   "  "  FILE-TWO      "
C
   23 READ(ICNC1,END=999) IBDAT, BEGTIM, IEDAT, ENDTIM
      IF (IBDAT .GT. 99999) THEN 
        CALL CALTOJ(IBDAT,IDNEW)
        IBDAT = IDNEW
      ENDIF
      IF (IEDAT .GT. 99999) THEN 
        CALL CALTOJ(IEDAT,IDNEW)
        IEDAT = IDNEW
      ENDIF
      WRITE(*,1005) IBDAT, BEGTIM, IEDAT, ENDTIM
      BEGTIM=AINT(BEGTIM+0.01)
      ENDTIM=AINT(ENDTIM+0.01)
      lkeep = .true.
      tchk = begtim + 24.*(ibdat-idat1)
      if (tchk .lt. tim1) then
        write(*,*) ' (skipped)'
        lkeep = .false.
      endif
      if ( lconv ) call gtvlvl(0)
C
      IERR = 0
      LL = 0
      KK = 0
      mm = 1
C
      DO 400 ISPEC=1,NOSPEC1
C
C    LOOP OVER NUMBER OF VERTICAL LEVELS IN SIMULATION GRID
C
         if (lsum) then
           ll = id(ispec,lsub,nsub)
         else
           LL = ID(ISPEC,LVAR1,NVAR)
         endif
         if (ll.gt.0) then
           write(*,*)'PROCESSING SPECIES # ',mm,ll,ispec
           if (lsum) then
             fact=cvt(iunit(mm))*xfact(ISPEC,1)*subfac(ll)
           else
             fact=cvt(iunit(ll))*xfact(ISPEC,1)
           endif
 	   lll=ident(mspec1(1,ispec),mspint,nspint)
c 	   write(*,'(3i5,2(1x,10a1))') ll,lll,lvar1(ll),
c     &         (mspec1(ii,ispec),ii=1,10),(mspint(ii,lll),ii=1,10)
         endif
c
         DO 401 IZ=1,NZ
c
            KK = ID(IZ,LEVEL,NLVL)
c
            if (ldepn .and. ifrst) then
              read (icnc1)iseg,filnm,((tmpdep1(i,j),i=1,nx),j=1,ny)
              read (icnc1)iseg,filnm,((tmpdep2(i,j),i=1,nx),j=1,ny)
c
              if (ll.le.0 .or. kk.le.0 .or. .not.lkeep) go to 401
              if (ndepn.eq.'DRY ') then
                do 402 j = 1,ny
                  do 402 i = 1,nx
                    cncr(i,j) = tmpdep1(i,j)
  402           continue
              elseif (ndepn.eq.'WET ') then
                do 403 j = 1,ny
                  do 403 i = 1,nx
                    cncr(i,j) = tmpdep2(i,j)
  403           continue
              else 
                do 404 j = 1,ny
                  do 404 i = 1,nx
                    cncr(i,j) = tmpdep1(i,j) + tmpdep2(i,j)
  404           continue
              endif
            else
              READ (ICNC1)ISEG,FILNM,((CNCR(I,J),I=1,NX),J=1,NY)
              if (ll.le.0 .or. kk.le.0 .or. .not.lkeep) go to 401
	      if ( lconv ) call conppm(nx,ny,iz,lll,cncr)
            endif
c
cmxd
          do j = 1,ny
            do i = 1,nx
            if (i.eq.80 .and. j.eq.50) then
              write (*,*) 'dep', cncr(i,j)
            endif
            enddo
          enddo
c
	    if ( lireg ) then
	       do 444 jireg=1,ny
		  do 444 iireg=1,nx
		     cncr(iireg,jireg)=idelete(iireg,jireg)*(-999)+
     &                    (1-idelete(iireg,jireg))*cncr(iireg,jireg)
 444           continue
	    endif
c
            if (nhmax .gt. 1) then
              call grdgro(cncr,mxx,nx,ny,nhmax,mxx,conc)
            else
              do 380 j=1,ny
                do 380 i=1,nx
                  conc(i,j) = cncr(i,j)
  380         continue
            endif
c
            DO 600 I = 1,nxi
              DO 600 J = 1,nyi
c
c                  if this part of the coarse grid is covered by
c                  a fine grid that is being plotted, do not 
c                  change CNC1 here.
c
                if (ignum1(i,j) .ne. 0) go to 600
c
                IF(LMAX) THEN
                  CNC1(I,J,LL,KK)=
     &               AMAX1(FACT*CONC(I,J),CNC1(I,J,LL,KK))
	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,ll,kk)=-999.
                ELSE IF(LTOT) THEN
                  CNC1(I,J,LL,KK)=
     &               FACT*CONC(I,J) + CNC1(I,J,LL,KK)
	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,ll,kk)=-999.
                ELSE IF(LSUM) THEN
                  CNC1(I,J,MM,KK)=
     &               FACT*CONC(I,J) + CNC1(I,J,MM,KK)
	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,mm,kk)=-999.
                ELSE
                  CNC1(I,J,LL,KK)=FACT*CONC(I,J)
	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,ll,kk)=-999.
                ENDIF
 600        CONTINUE
c
  401    CONTINUE
  400 CONTINUE
 1000 continue
c
      IF (LDIF) THEN
   25   READ(ICNC2,END=999)IBDAT2,BEGTIM2,IEDAT2,ENDTIM2
        IF (IBDAT2 .GT. 99999) THEN 
          CALL CALTOJ(IBDAT2,IDNEW)
          IBDAT2 = IDNEW
        ENDIF
        IF (IEDAT2 .GT. 99999) THEN 
          CALL CALTOJ(IEDAT2,IDNEW)
          IEDAT2 = IDNEW
        ENDIF
        begtim2=aint(begtim2+0.01)
        endtim2=aint(endtim2+0.01)
        WRITE(*,1010) IBDAT2,BEGTIM2,IEDAT2,ENDTIM2
C
C....CHECK FILES TIMES
C
        tchk = begtim2 + 24.*(ibdat2-ibdat)
        IF(tchk.LT.BEGTIM-.01) THEN
          DO 405 L = 1,NOSPEC2
            DO 405 K = 1,NZ
              READ(ICNC2)
              if (ldepn .and. ifrst) read(icnc2)
  405     CONTINUE
          GOTO 25
        ENDIF
        IF(BEGTIM.LT.tchk-.01) THEN
          BACKSPACE(ICNC2)
          if (ldepn .and. ifrst) backspace(icnc2)
          GOTO 23
        ENDIF
        lkeep = .true.
        tchk = begtim2 + 24.*(ibdat2-idat1)
        if (tchk .lt. tim1) then
          write(*,*) ' (skipped)'
          lkeep = .false.
        endif
c
c     READ 2ND CONCENTRATION FILE
c
        DO 500 ISPEC=1,NOSPEC2
          LL = ID(ISPEC,LVAR2,NVAR)
 	  lll=ident(mspec2(1,ispec),mspint,nspint)
c
          if(iunit(ll).gt.0) fact = cvt(iunit(ll))*xfact(ISPEC,2)
          DO 501 IZ=1,NZ
            KK = ID(IZ,LEVEL,NLVL)
            if (ldepn .and. ifrst) then
              read (icnc2)iseg,filnm,((tmpdep1(i,j),i=1,nx),j=1,ny)
              read (icnc2)iseg,filnm,((tmpdep2(i,j),i=1,nx),j=1,ny)
              if (ll.le.0 .or. kk.le.0 .or. .not.lkeep) go to 501
              if (ndepn.eq.'DRY ') then
                do 4021 j = 1,ny
                  do 4021 i = 1,nx
                    cncr(i,j) = tmpdep1(i,j)
 4021           continue
              elseif (ndepn.eq.'WET ') then
                do 4031 j = 1,ny
                  do 4031 i = 1,nx
                    cncr(i,j) = tmpdep2(i,j)
 4031           continue
              else 
                do 4041 j = 1,ny
                  do 4041 i = 1,nx
                    cncr(i,j) = tmpdep1(i,j) + tmpdep2(i,j)
 4041           continue
              endif
            else
              READ(ICNC2)ISEG,FILNM,((CNCR(I,J),I=1,NX),J=1,NY)
              if (ll.le.0 .or. kk.le.0 .or. .not.lkeep) go to 501
	      if ( lconv ) call conppm(nx,ny,iz,lll,cncr)
            endif
c
	    if ( lireg ) then
	       do 555 jireg=1,ny
		  do 555 iireg=1,nx
		     cncr(iireg,jireg)=idelete(iireg,jireg)*(-999)+
     &                    (1-idelete(iireg,jireg))*cncr(iireg,jireg)
 555           continue
	    endif
c
            if (nhmax .gt. 1) then
              call grdgro(cncr,mxx,nx,ny,nhmax,mxx,conc)
            else
              do 505 j=1,ny
                do 505 i=1,nx
                  conc(i,j) = cncr(i,j)
  505         continue
            endif
c
            DO 650 I = 1,nxi
              DO 650 J = 1,nyi
c
c                if this part of the coarse grid is covered by
c                a fine grid that is being plotted, do not 
c                change CNC1 here.
c
                if (ignum2(i,j) .ne. 0) go to 650
c
                IF(LMAX) THEN
                  CNC2(I,J,LL,KK)=
     &               AMAX1(FACT*CONC(I,J),CNC2(I,J,LL,KK))
	          if ( conc(i,j) .eq. -999. ) cnc2(i,j,ll,kk)=-999.
                ELSE IF(LTOT) THEN
                  CNC2(I,J,LL,KK)=
     &               FACT*CONC(I,J) + CNC2(I,J,LL,KK)
	          if ( conc(i,j) .eq. -999. ) cnc2(i,j,ll,kk)=-999.
		ELSEIF(LDIFR) THEN
                  CNC1(I,J,LL,KK)=(CNC1(I,J,LL,KK)-FACT*CONC(I,J))/
     &                                     (FACT*CONC(I,J))*100.
 	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,ll,kk)=-999.
                ELSE
                  CNC1(I,J,LL,KK)=CNC1(I,J,LL,KK)-FACT*CONC(I,J)
 	          if ( conc(i,j) .eq. -999. ) cnc1(i,j,ll,kk)=-999.
                ENDIF
  650       CONTINUE
c
  501     CONTINUE
  500   CONTINUE
C
      ENDIF
C
      RETURN
      
  999 WRITE(*,*)'ERROR IN GETZ!!! END OF CONCENTRATION FILE :'
      ierr = 1
      ENDTIM=999
      RETURN
C
 1005 FORMAT('1ST: AVERAGE HOUR: ',2(I10,F10.2))
 1010 FORMAT('2ND: AVERAGE HOUR: ',2(I10,F10.2))
      END
