c--------------------------------------------------------------------c
c          ATDM POSTPROCESSING PACKAGE:        EXTRACT               c
c          9/11/95  CAE                                              c
c--------------------------------------------------------------------c
      subroutine wrtxy
      include 'xtract.inc'
      include 'xtract2.inc'
c
      data dkm /111.1338/
      data dtr /0.01745329/
c
      deltay=dkm*dely
c
c....Write CONCENTRATIONS TO XY_SECTION FILE
c
       if(LMAX .or. LTOT) THEN
         WRITE(IWR)IDAT1,TIM1,IDAT2,TIM2
         WRITE(*,*)'WRITING MAXIMUM DATA FOR PERIOD:',
     &              tim1,idat1,tim2,idat2
       ELSE
         WRITE(IWR)IBDAT,BEGTIM,IEDAT,ENDTIM
         WRITE(*,*)'WRITING DATA FOR PERIOD: ',
     &              begtim,ibdat,endtim,iedat
       ENDIF
       DO 100 L = 1,NVAR
        DO 100 K = 1,NLVL
C
C...SUBTRACT MAXIMUM CONC'S FOR MAXIMUM DIFFERENCE PLOT
C
          IF(LMAX.AND.LDIF)THEN
            DO 110 I = IS1,IS2
              DO 110 J = JS1,JS2
		if ( cnc1(i,j,l,k) .eq. -999. .and.
     &               cnc2(i,j,l,k) .eq. -999. ) then
		   cnc1(i,j,l,k)=-999.
		else
                   CNC1(i,j,l,k)=CNC1(i,j,l,k)-CNC2(i,j,l,k)
		endif
 110        CONTINUE
          ENDIF
c
c
c....FILL BOUNDARY CELLS WITH MISSING DATA VALUE, -999
c....AND COMPUTE MIN/MAX CONCENTRATIONS
         RMAX=-1.E9
         RMIN=1.E9
         IRMAX = -9
         JRMAX = -9
         IRMIN = -9
         JRMIN = -9
         if ( ltot ) sum=0.0
         do 120 I = IS1,IS2
           do 120 J= JS1,JS2
	    alat=(float(j)-0.5)*dely+yorg
	    deltax=dkm*delx*cos(alat*dtr)
 	    cellar=deltay*deltax
            if (ifrst .and. (i.lt.ilfti(j).or.i.gt.irgti(j)) ) 
     &                                           cnc1(i,j,l,k)=-999.
            IF(CNC1(I,J,L,K).GT.-999.) THEN
               if ( ltot ) then
                 sum=sum+cnc1(i,j,l,k)*cellar
               endif
               IF (CNC1(I,J,L,K) .GT. RMAX) THEN
                 RMAX=CNC1(I,J,L,K)
                 IRMAX = I
                 JRMAX = J
               ENDIF
               IF (CNC1(I,J,L,K) .LT. RMIN) THEN
                 RMIN=CNC1(I,J,L,K)
                 IRMIN = I
                 JRMIN = J
               ENDIF
             ENDIF
c
 120     continue
c        
         WRITE(*,1000)LEVEL(K),(MSPCW(M,L),M=1,10),RMAX,IRMAX,JRMAX,
     $                RMIN, IRMIN, JRMIN
         if ( ltot ) write(*,*) ' TOTAL LOAD :',sum
         WRITE(IWR)ISEG,(MSPCW(M,L),m=1,10),
     &       ((cnc1(i,j,l,k),i=IS1,IS2),j=JS1,JS2)
         if (lsum) then
           do 130 j = js1,js2
             do 130 i = is1,is2
               cnc1(i,j,l,k) = 0.
 130       continue
         endif
c
 100   continue
       return
1000   FORMAT('LVL: ',i2,' SPEC: ',
     &        10A1,' MAX:',1pe10.2,' AT ',i3,',',i3,' MIN:',
     &        1pe10.2,' AT ',i3,',',i3)
       end
