      subroutine caltoj(idate,jdate)
C
C     *** (c) Copr. 1992  Systems Applications, Inc.  San Rafael, CA
c
c$Log:	caltoj.f,v $
c  Revision 1.2  94/02/10  20:50:52  tcm
c  Cosmetic revisions to code by gem, syw, tcm
c  
c
C
c
c   convert a YYMMDD type date to a five digit Julian date
c
      dimension ntab(12)
      data ntab/31,28,31,30,31,30,31,31,30,31,30,31/
c
      iyr = idate/10000
      imo = (idate - iyr*10000)/100
      iday = idate - iyr*10000 - imo*100
c     
      if (mod(iyr,4) .eq. 0 .and. mod(iyr,100) .ne. 0) then
        ntab(2) = 29
      else
        ntab(2) = 28
      endif
c
      nsum = 0
      do 100 ii=1,imo-1
        nsum = nsum + ntab(ii)
  100 continue
      nday = nsum + iday
c
      jdate = iyr*1000 + nday
      return
      end
